#include "test.h"

#define HEAP_LIMIT			(uint8_t *)0
#define HEAP_SIZE			512

PersistData sysData EEMEM = { 0, ZX_TRUE };

// default Com1 speed
#define DEF_COM1_SPEED		19200

// transmit and receive queues for Com1
uint8_t txQueue[25] NO_INIT;
uint8_t rxQueue[50] NO_INIT;

#define abc(x) zf_abc(x)

ZX_INIT_FUNC(init_test)
{
	initQueue((Queue *)txQueue, sizeof(txQueue));
	initQueue((Queue *)rxQueue, sizeof(rxQueue));
	zxInit(BAUD_FACTOR_2X(DEF_COM1_SPEED));
#if defined(ENABLE_SW_UART)
	enableSerialSW();
#endif

}

int
main(void)
{
#if defined(ZX_INIT)
	ZX_INIT;
#endif
	taskStartMain(zf_main, HEAP_LIMIT, HEAP_SIZE);
	for(;;);
}

void
zf_main(void)
{
	initHeap();

	zf_abc(2);

char c;
	abc(1);
	zf_module_sub();
}

void
zf_abc(uint8_t zp_p)
{
	outStr(STRTBL(0));
	sendCRLF();
}

// string table
char stringTbl[] PROGMEM =
{
	// STRTBL(0) - "hello"
	0x05, 0x68, 0x65, 0x6c, 0x6c, 0x6f, 
};
